## subsurface 4.2

=== Documentation/Makefile ===
#
# in order for "normal" developers not to have to install asciidoc (which
# brings in a couple hundred MB of dependencies) we now include both the
# user-manual.txt and a copy of the generated .html file in git
#
# in order to avoid unnecessary thrash with minor version differences, when
# submitting patches to the user manual, only submit the changes to the .txt
# file - the maintainer will recreate the .html.git file

DOCNAMES = user-manual user-manual_es user-manual_ru

HTMLDOCS = $(patsubst %,$(OUT)%.html,$(DOCNAMES))
TEXTDOCS = $(patsubst %,$(OUT)%.text,$(DOCNAMES))
PDFDOCS = $(patsubst %,$(OUT)%.pdf,$(DOCNAMES))

ASCIIDOC = asciidoc
A2X = a2x
BROWSER = firefox
THEME = compact_subsurface
PWD = $(realpath .)

all: $(HTMLEDOCS) $(TEXTDOCS) $(PDFDOCS)

doc: $(HTMLDOCS)

$(OUT)%.text: %.txt
	$(A2X) -f text $<

$(OUT)%.pdf: %.txt
	-$(A2X) --dblatex-opts "-P latex.output.revhistory=0" -f pdf $<

$(OUT)%.html: %.txt
	@echo "if asciidoc isn't found the html file included in the sources is copied"
	$(ASCIIDOC) -a toc -a toclevels=3 -a themedir=$(PWD) -a theme=$(THEME) -a stylesdir=$(PWD) \
		-o $@ $< || cp $(<:%.txt=%.html.git) $@

# Alternatively::
$(OUT)$(DOCNAME).xhtml: $(DOCSOURCE)
	$(A2X) --icons -f xhtml $<

show: $(HTMLDOC)
	$(BROWSER) $<

clean:
	rm -f *~ docbook-xsl.css $(HTMLDOCS) $(TEXTDOCS) $(PDFDOCS)

=== debian/changelog ===
subsurface (4.2-5) unstable; urgency=medium

  * Try to fix the ftbfs under kfreebsd (Closes: #738438)
    Thanks to Thiago Macieira for the patch

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 13 Oct 2014 19:08:55 +0200

subsurface (4.2-4) unstable; urgency=medium

  * Disable the libgit2 feature (not used yet anyway). It prevents subsurface
    4.2 to migrate in testing
    Thanks to Salvo Tomaselli for the patch

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 11 Oct 2014 21:58:44 +0200

subsurface (4.2-3) unstable; urgency=medium

  * Rebuild to fix an artefact (depends on libgit2-0 instead of libgit2-21)
    (Closes: #761225)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 12 Sep 2014 18:37:48 +0200

subsurface (4.2-2) unstable; urgency=medium

  * Now that libgit2 is in unstable, upload to unstable too (Closes: #760769)

  [ Salvo 'LtWorf' Tomaselli ]
  * Backport MAX_PATH patch from upstream to build on Hurd
  * Updated debian/copyright to report the contact of the new upstream
    maintainer
  * Backport patch from upstream to add keywords in .desktop file to fix
    a lintian problem

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 04 Sep 2014 09:08:12 +0200

subsurface (4.2-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Upstream is now using qmake, no need to depend on autotools
  * Package is split to provide architecture independent subsurface-data
    package
  * New upstream release (Closes: #755354)
  * Patch subsurface.pro to use dpkg-buildflags environmental variables

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 20 Aug 2014 20:05:55 +0200

subsurface (4.0.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove osmgpsmap as dependency (Closes: #748386)

 -- Ross Gammon <rossgammon@mail.dk>  Mon, 11 Aug 2014 20:25:14 +0200

=== debian/control ===
Source: subsurface
Section: utils
Priority: optional
Maintainer: Debian running development group <pkg-running-devel@lists.alioth.debian.org>
Uploaders: Khalid El Fathi <khalid@elfathi.fr>,
 Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: asciidoc,
               debhelper (>= 9),
               libdivecomputer-dev (>= 0.3.0),
               libqt4-dev,
               libqtwebkit-dev,
               libgconf2-dev,
               libtool,
               libxml2-dev,
               libxslt-dev,
               libsoup2.4-dev,
               pkg-config,
               txt2html,
               libzip-dev,
               libsqlite3-dev,
               libmarble-dev
#               libgit2-dev,
Standards-Version: 3.9.5
Homepage: http://subsurface.hohndel.org
Vcs-Git: git://git.debian.org/pkg-running/subsurface.git
Vcs-Browser: http://git.debian.org/?p=pkg-running/subsurface.git;a=summary

Package: subsurface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, subsurface-data (>= ${source:Version})
Description: Logbook program for scuba divers
 Subsurface is able to track single- and multi-tank dives using air, Nitrox or
 TriMix. It also allows logging of weights and exposure protection used, dive
 masters and dive buddies and enables the user to rate dives and provide
 additional dive notes.
 .
 With Subsurface the user can track dive locations including GPS coordinates
 (which can also conveniently be entered using a map interface). Subsurface
 calculates a wide variety of statistics of the user's diving and calculates
 and tracks information like the user's SAC rate, partial pressures of O2, N2
 and He, calculated deco information, and many more.

Package: subsurface-data
Architecture: all
Breaks: subsurface (<< ${source:Version})
Replaces: subsurface (<< ${source:Version})
Depends: ${misc:Depends}, libjs-jquery
Description: Shared data files for Subsurface
 Subsurface is able to track single- and multi-tank dives using air, Nitrox or
 TriMix. It also allows logging of weights and exposure protection used, dive
 masters and dive buddies and enables the user to rate dives and provide
 additional dive notes.
 .
 With Subsurface the user can track dive locations including GPS coordinates
 (which can also conveniently be entered using a map interface). Subsurface
 calculates a wide variety of statistics of the user's diving and calculates
 and tracks information like the user's SAC rate, partial pressures of O2, N2
 and He, calculated deco information, and many more.
 .
 This package contains the architecture-independent shared data files needed
 for subsurface.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	make clean || true
	rm -f ssrf-version.h
	rm -f subsurface
	rm -f Makefile

override_dh_auto_configure:
	qmake

override_dh_installchangelogs:
	dh_installchangelogs
	dh_installchangelogs ReleaseNotes.txt 
	txt2html Documentation/user-manual.txt > Documentation/user-manual.html
	cp Documentation/user-manual.txt debian/subsurface/usr/share/doc/subsurface/
	cp Documentation/user-manual.html debian/subsurface/usr/share/doc/subsurface/html
